Overview | Modules | Class Hierarchy | Classes | Members
# tlp::MouseBoxZoomer Class Reference [Mouse_interactor] `#include <MouseBoxZoomer.h>` Inherits tlp::InteractorComponent. Inheritance diagram for tlp::MouseBoxZoomer: [legend] Collaboration diagram for tlp::MouseBoxZoomer: [legend] List of all members. ## Public Member Functions MouseBoxZoomer (Qt::MouseButton button=Qt::LeftButton, Qt::KeyboardModifier modifier=Qt::NoModifier) ~MouseBoxZoomer () bool draw (GlMainWidget *) bool eventFilter (QObject *, QEvent *) InteractorComponent * clone () ## Constructor & Destructor Documentation
tlp::MouseBoxZoomer::MouseBoxZoomer | ( | Qt::MouseButton | button = `Qt::LeftButton`,
|  | Qt::KeyboardModifier | modifier = `Qt::NoModifier`
| ) |
tlp::MouseBoxZoomer::~MouseBoxZoomer | ( |  | ) |
## Member Function Documentation
InteractorComponent* tlp::MouseBoxZoomer::clone | ( |  | ) | `[inline, virtual]`
| Clone this interactor component Implements tlp::InteractorComponent.
bool tlp::MouseBoxZoomer::draw | ( | GlMainWidget * |  | ) | `[virtual]`
| This function draw interactor Reimplemented from tlp::InteractorComponent.
bool tlp::MouseBoxZoomer::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010